#
# spec file for package python3-python-parameters
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-python-parameters
Version:        1.2.2
Release:        2.6
Summary:        A parameter manager that keeps track of physical (or numerical) quantities.
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/matthewwardrop/python-parameters
Source:         https://files.pythonhosted.org/packages/source/p/python-parameters/python-parameters-%{version}.tar.gz
BuildRequires:  python3-Cython
BuildRequires:  python3-devel
BuildRequires:  python3
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  python3-sympy > 0.7.5
Requires:       python3-numpy
Requires:       python3-scipy
Requires:       python3-sympy > 0.7.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A parameter manager that keeps track of physical (or numerical)
quantities, and the relationships between them.

%prep
%setup -q -n python-parameters-%{version}

%build
CFLAGS="%{optflags}" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitearch}/parameters/
%{python3_sitearch}/python_parameters-%{version}-py*.egg-info

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Feb 16 2015 arun@gmx.de
- update to version 1.2.2:
  * Remove unnecessary line in setup.py.
  * Remove debugging output to stdout.
  * Update inversion to be consistent with spec.
* Sat Feb 14 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update url
  * update required version of sympy
- update to version 1.2.1:
  * Increase conformance to pep8; with exception that we use tabs
    rather than spaces for indentation.
  * Use dummify=False in lambdify in parameters; and as a result, bump
    dependency on sympy to >=0.7.5 .
  * Add documentation.
  * Handle variable names in plots better.
  * Add a plot tool for debugging parameters.
- changes from version 1.2:
  * Clean up redundant iteration code.
  * Fix bug in ranges_expand, whereby masks are not passed through the
    recursion.
  * Fix bug in ranges generation.
  * Add missing files.
  * Added utilities/symmetric.py to build; and implemented
  * Initial work at including an inbuilt iterator over parameter
    ranges.
  * Extend load/save support and allow import of parameters with units
    of "units".
  * Use copy rather than deepcopy when opening a new context.
  * Add performance tests for parameter bounds.
  * Increase performance by reducing usage of * and ** in method
    definitions; which causes lists and dictionaries to be essentially
    copied.
  * Performance optimisations by using the inspect module more
    sparingly.
  * Suppress warnings in tests; and neaten performance testing code.
  * Properly parse parameters using regex.
  * Updates to bring in line with sensible expectations and the latest
    documentation.
  * Cause rescaling parameter to maintain dimensioned value of the
    parameter.
- changes from version 1.1.9:
  * Fix memory leak when evaluating a function.
  * Fix regression when parameters are specified as Quantity's in
    p.range.
  * Fix regression in performance.
  * Properly catch all instances in evaluations.
  * Fix parameter override in kwargs with functional united tuple.
  * Allow united conditions in ranges. Allow quantities to be added
    and decremented by standard numbers where appropriate (i.e. units
    are consistent).
  * Fix is_constant for invertible parameter functions.
  * Reset the cache in cache_funcs when setting its value anew.
  * Add an optional cache for functional parameters, which can greatly
    speed up parameter retrieval when the underlying function is slow.
  * Improve speed.
  * Generalise range function.
- changes from version 1.1.8:
  * Fixes the is_constant function; and adds two methods: is_function
    and is_resolvable.
- changes from version 1.1.7:
  * Add test cases for Quantity conversion
  * Add support for automatic conversion of tuples to Quantity objects
    for ease of manipulation.
- changes from version 1.1.6:
  * Add support for parameter units in external files.
* Mon Jul 14 2014 toddrme2178@gmail.com
- - Initial version
